<?php
////////////// made by TTMTT //////////////

if(isset($aid)) {
$aid = $aid;
}
else {
$aid = $session->alliance;
}
$allianceinfo = $database->getAlliance($aid);
echo "<h1>".$allianceinfo['tag']." - ".$allianceinfo['name']."</h1>";
include("alli_menu.tpl"); 


?>
 







<form onSubmit="return S17b607648a73355479a8c847c434e2a6();">            <div id="TitleName" class="chatHeader"></div>
            <div id="chatContainer" style="position:relative; top:0; left:0; height: 220px; width: 500px; overflow: hidden; background-color: #FFF; border: 1px solid #C0C0C0;">
                <div id="div_chat" style="position:absolute; top:0; left:5px; width:470px; background-color: #FFF; "></div>
                <div id="scrollbarbackground2" style="position:absolute; top:0; left:481px; width:17px; height:198px;"></div>

                <div id="scrollbarbackground" style="position:absolute; top:0; left:489px; width:1px; height:198px; border-width:1px; border-style:solid; border-color:#71D000;  background-color: #FFF; "></div>
                <div id="scrollbar" style="position:absolute; top:0; left:481px; width:17px; height:198px; border-width:1px; border-style:solid; border-color:#71D000;  background-color: #F0FFF0; "></div>
                <input id="scrollCheckbox" class="fm" checked="checked" type="checkbox" style="position:absolute; top:200px; left:481px; " />
            </div>
            <div style="margin-top:10px; margin-bottom:10px;">
                <table cellpadding="1" cellspacing="1" id="chat_input"><tr><td>
                <input class="text" type="text" id="message" name="message" style="width: 415px;" />
                </td><td>
                <input type="image" src="img/x.gif" id="btn_ok" class="dynamic_img" style="float:right;" alt="OK" value="Send" />

                </td></tr></table>
                <input type="hidden" id="room" name="room" value="1" />
                <input type="hidden" id="joincmd" name="joincmd" value="/ally comxMTg1-7429d19eaafafc787ac8c12ce61b80fc 8c6b9be7e9924289c01c3e475102611d" />
            </div>
        </form>

            <div id="rooms">
            </div>

          <script type="text/javascript">
        
        // remote scripting library
        // (c) copyright 2005 modernmethod, inc
        var sajax_debug_mode = false;
        var sajax_request_type = "GET";
        var sajax_target_id = "";
        var sajax_failure_redirect = "";

        function sajax_debug(text) {
            if (sajax_debug_mode)
                alert(text);
        }

         function sajax_init_object() {
             sajax_debug("sajax_init_object() called..")

             var A;

             var msxmlhttp = new Array(
                'Msxml2.XMLHTTP.5.0',
                'Msxml2.XMLHTTP.4.0',
                'Msxml2.XMLHTTP.3.0',
                'Msxml2.XMLHTTP',
                'Microsoft.XMLHTTP');
            for (var i = 0; i < msxmlhttp.length; i++) {
                try {
                    A = new ActiveXObject(msxmlhttp[i]);
                } catch (e) {
                    A = null;
                }
            }

            if(!A && typeof XMLHttpRequest != "undefined")
                A = new XMLHttpRequest();
            if (!A)
                sajax_debug("Could not create connection object.");
            return A;
        }

        var sajax_requests = new Array();

        function sajax_cancel() {
            for (var i = 0; i < sajax_requests.length; i++)
                sajax_requests[i].abort();
        }

        function sajax_do_call(func_name, args) {
            var i, x, n;
            var uri;
            var post_data;
            var target_id;

            sajax_debug("in sajax_do_call().." + sajax_request_type + "/" + sajax_target_id);
            target_id = sajax_target_id;
            if (typeof(sajax_request_type) == "undefined" || sajax_request_type == "")
                sajax_request_type = "GET";

            uri = "/chat.php";
            if (sajax_request_type == "GET") {

                if (uri.indexOf("?") == -1)
                    uri += "?rs=" + escape(func_name);
                else
                    uri += "&rs=" + escape(func_name);
                uri += "&rst=" + escape(sajax_target_id);
                uri += "&rsrnd=" + new Date().getTime();

                for (i = 0; i < args.length-1; i++)
                    uri += "&rsargs[]=" + escape(args[i]);

                post_data = null;
            }
            else if (sajax_request_type == "POST") {
                post_data = "rs=" + escape(func_name);
                post_data += "&rst=" + escape(sajax_target_id);
                post_data += "&rsrnd=" + new Date().getTime();

                for (i = 0; i < args.length-1; i++)
                    post_data = post_data + "&rsargs[]=" + escape(args[i]);
            }
            else {
                alert("Illegal request type: " + sajax_request_type);
            }

            x = sajax_init_object();
            if (x == null) {
                if (sajax_failure_redirect != "") {
                    location.href = sajax_failure_redirect;
                    return false;
                } else {
                    sajax_debug("NULL sajax object for user agent:\n" + navigator.userAgent);
                    return false;
                }
            } else {
                x.open(sajax_request_type, uri, true);
                // window.open(uri);

                sajax_requests[sajax_requests.length] = x;

                if (sajax_request_type == "POST") {
                    x.setRequestHeader("Method", "POST " + uri + " HTTP/1.1");
                    x.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
                }

                x.onreadystatechange = function() {
                    if (x.readyState != 4)
                        return;

                    sajax_debug("received " + x.responseText);

                    var status;
                    var data;
                    var txt = x.responseText.replace(/^\s*|\s*$/g,"");
                    status = txt.charAt(0);
                    data = txt.substring(2);

                    if (status == "") {
                        // let's just assume this is a pre-response bailout and let it slide for now
                    } else if (status == "-")
                        alert("Error: " + data);
                    else {
                        if (target_id != "")
                            document.getElementById(target_id).innerHTML = eval(data);
                        else {
                            try {
                                var callback;
                                var extra_data = false;
                                if (typeof args[args.length-1] == "object") {
                                    callback = args[args.length-1].callback;
                                    extra_data = args[args.length-1].extra_data;
                                } else {
                                    callback = args[args.length-1];
                                }
                                callback(eval(data), extra_data);
                            } catch (e) {
                                sajax_debug("Caught error " + e + ": Could not eval " + data );
                            }
                        }
                    }
                }
            }

            sajax_debug(func_name + " uri = " + uri + "/post = " + post_data);
            x.send(post_data);
            sajax_debug(func_name + " waiting..");
            delete x;
            return true;
        }

        
        // wrapper for enterChat
        function x_enterChat() {
            sajax_do_call("enterChat",
                x_enterChat.arguments);
        }

        
        // wrapper for openQuery
        function x_openQuery() {
            sajax_do_call("openQuery",
                x_openQuery.arguments);
        }

        
        // wrapper for readyToRead
        function x_readyToRead() {
            sajax_do_call("readyToRead",
                x_readyToRead.arguments);
        }

        
        // wrapper for sendMsg
        function x_sendMsg() {
            sajax_do_call("sendMsg",
                x_sendMsg.arguments);
        }

        
        // wrapper for request
        function x_request() {
            sajax_do_call("request",
                x_request.arguments);
        }

        
        // wrapper for closeRoom
        function x_closeRoom() {
            sajax_do_call("closeRoom",
                x_closeRoom.arguments);
        }

        
        // wrapper for debugger
        function x_debugger() {
            sajax_do_call("debugger",
                x_debugger.arguments);
        }

                var name="<?php $session->username; ?>";
        var uid=<?php $session->uid; ?>;
        var cookiecount=0;
</script>
<script src="chats.js" type="text/javascript"></script>
<script type="text/javascript">
</script>
